function dateDiff(date1, date2){
                    var diff = {}                           // Initialisation du retour
                    var tmp = date2 - date1;

                    tmp = Math.floor(tmp/1000);             // Nombre de secondes entre les 2 dates
                    diff.sec = tmp % 60;                    // Extraction du nombre de secondes

                    tmp = Math.floor((tmp-diff.sec)/60);    // Nombre de minutes (partie entière)
                    diff.min = tmp % 60;                    // Extraction du nombre de minutes

                    tmp = Math.floor((tmp-diff.min)/60);    // Nombre d'heures (entières)
                    diff.hour = tmp % 24;                   // Extraction du nombre d'heures

                    tmp = Math.floor((tmp-diff.hour)/24);   // Nombre de jours restants
                    diff.day = tmp;

                    return diff;
              }
            
            function chrono(centi,secon,minu,heure){
                centi++; //incrémentation des dixièmes de 1
                if (centi>9){centi=0;secon++} //si les dixièmes > 9,
                if (secon>59){secon=0;minu++} //si les secondes > 59,
                if(minu>59){minu=0;heure++}
                if(isNaN(heure) && isNaN(minu) && isNaN(secon)){
                    $("#hr").html(0);
                    $("#min").html(0);
                    $("#sec").html(0);

                }
                else{
                    console.log("chrono lancer");
                    $("#hr").html(heure);
                    $("#min").html(minu);
                    $("#sec").html(secon);
                }
                compte=setTimeout(chrono,100,centi,secon,minu,heure);
            }
            